%define upstream_name    Dist-Zilla-Plugin-CheckExtraTests
%define upstream_version 0.029

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Check xt tests before release
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Prove) >= 3.0.0
BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Dist::Zilla) >= 4.300.0
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(Dist::Zilla::App::Tester)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::TestRunner)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::pushd)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Path::Iterator::Rule)
BuildRequires: perl(Path::Tiny) >= 0.13.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Foo the foo.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.29.0-6.mga10
+ Revision: 2203594
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.29.0-5.mga9
+ Revision: 1808939
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.29.0-4.mga8
+ Revision: 1503992
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.29.0-3.mga7
+ Revision: 1282996
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.29.0-2.mga7
+ Revision: 1164160
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.29.0-1.mga7
+ Revision: 1157471
- update to 0.029

* Sun Jun 19 2016 pterjan <pterjan> 0.28.0-3.mga6
+ Revision: 1026143
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.28.0-2.mga6
+ Revision: 969182
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 0.28.0-1.mga6
+ Revision: 864337
- update to 0.028

* Sat Jul 04 2015 sander85 <sander85> 0.27.0-1.mga6
+ Revision: 850194
- update to 0.027

* Wed Oct 15 2014 umeabot <umeabot> 0.22.0-3.mga5
+ Revision: 748252
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Jul 15 2014 sander85 <sander85> 0.22.0-1.mga5
+ Revision: 653045
- update to 0.022

* Tue Apr 15 2014 jquelin <jquelin> 0.21.0-1.mga5
+ Revision: 614725
- update to 0.021

* Tue Mar 25 2014 jquelin <jquelin> 0.20.0-1.mga5
+ Revision: 608320
- update to 0.020

* Mon Feb 24 2014 jquelin <jquelin> 0.18.0-1.mga5
+ Revision: 596253
- update to 0.018

* Mon Feb 17 2014 jquelin <jquelin> 0.17.0-1.mga5
+ Revision: 593428
- update to 0.017

* Sat Feb 08 2014 sander85 <sander85> 0.16.0-1.mga5
+ Revision: 585941
- update to 0.016

* Sat Oct 19 2013 umeabot <umeabot> 0.11.0-2.mga4
+ Revision: 531577
- Mageia 4 Mass Rebuild

* Tue Aug 06 2013 sander85 <sander85> 0.11.0-1.mga4
+ Revision: 464172
- update to 0.011

* Sun Jan 13 2013 umeabot <umeabot> 0.7.0-2.mga3
+ Revision: 366097
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 06 2012 jquelin <jquelin> 0.7.0-1.mga3
+ Revision: 268433
- update to 0.007

* Wed Jan 26 2011 jquelin <jquelin> 0.4.0-2.mga1
+ Revision: 40383
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-CheckExtraTests

